Search found 212 matches

by chrisf
Sat Jul 12, 2014 4:30 pm
Forum: Python scripting and macros
Topic: Find unconstrained sketches
Replies: 4
Views: 2316

Re: Find unconstrained sketches

Cool. Thanks Werner.
by chrisf
Sat Jul 12, 2014 4:24 pm
Forum: Help on using FreeCAD
Topic: Prevent automatic recompute during sketching
Replies: 4
Views: 2381

Re: Prevent automatic recompute during sketching

All of the add constraint functions call the base class's updateActive method which is in Gui/Command.cpp. /// Updates the (active) document (propagate changes) void Command::updateActive(void) { WaitCursor wc; doCommand(App,"App.ActiveDocument.recompute()"); } There are some 35 calls to u...
by chrisf
Sat Jul 12, 2014 3:34 pm
Forum: Help on using FreeCAD
Topic: Prevent automatic recompute during sketching
Replies: 4
Views: 2381

Re: Prevent automatic recompute during sketching

How hard can it be? ;) I see the recompute popping up in the python console. >>> App.ActiveDocument.Sketch053.addConstraint(Sketcher.Constraint('Coincident',2,1,1,1)) >>> App.ActiveDocument.recompute() >>> App.ActiveDocument.Sketch053.movePoint(1,2,App.Vector(53.250000,-6.573664,0),0) >>> App.Active...
by chrisf
Sat Jul 12, 2014 3:11 pm
Forum: Help on using FreeCAD
Topic: Prevent automatic recompute during sketching
Replies: 4
Views: 2381

Prevent automatic recompute during sketching

Is it possible to stop the automatic document recompute for every change during sketching?
My model now has nearly forty features and when making changes at the start of the tree it's taking getting on for 30 seconds after every constraint etc is added.
by chrisf
Sat Jul 12, 2014 9:43 am
Forum: Python scripting and macros
Topic: Find unconstrained sketches
Replies: 4
Views: 2316

Re: Find unconstrained sketches

I'll try again because this one is bugging me. When making changes to a model tree, it's extremely common for sketches to lose constraints or become unsolved etc as OCC changes the order of edges/faces. I use macros to record and then replace external geometry which work pretty well but are not bull...
by chrisf
Fri Jul 11, 2014 12:03 pm
Forum: Help on using FreeCAD
Topic: Sketch::checkGeoID fails
Replies: 4
Views: 1364

Re: Sketch::checkGeoID fails

So, having browsed the code a bit more, it looks like, whilst the external geometries are referenced with a negative integer, theyr'e held at the end of the Geoms list so the test is valid. As I said, the model was broken so I guess that was the cause of the assert failure. If it happens again, I'll...
by chrisf
Fri Jul 11, 2014 11:51 am
Forum: Help on using FreeCAD
Topic: Sketch::checkGeoID fails
Replies: 4
Views: 1364

Re: Sketch::checkGeoID fails

I was working with a broken model that's now fixed. Guess I should have kept it really but I'm in a big hurry to get some parts out for prototyping. As you say, the check tests for 0 < geoId < Geoms.size() but before that it tests for geoId < 0 and if so, adds on Geoms.size(). IIRC to numerate const...
by chrisf
Thu Jul 10, 2014 8:46 pm
Forum: Help on using FreeCAD
Topic: Sketch::checkGeoID fails
Replies: 4
Views: 1364

Sketch::checkGeoID fails

I'm working on a part with 30 feature sketches with lots of external geometry that's falling over repeatedly in Sketch::checkGeoID. I've commented out the assertion here in Sketch.cpp and it now seems stable: int Sketch::checkGeoId(int geoId) { if (geoId < 0) geoId += Geoms.size(); // assert(geoId >...
by chrisf
Fri Jun 13, 2014 4:31 pm
Forum: Help on using FreeCAD
Topic: Booleans losing their parent objects
Replies: 5
Views: 1921

Re: Booleans losing their parent objects

Yours, correct. Mine, not so much. I'm working with the latest version now and I haven't seen any broken commons yet. Groups do seem a little bit flakey still though. Since the update I've noticed a couple of commons showing in the tree view with no parents ie no drop down arrow to press. When I saw...
by chrisf
Fri Jun 13, 2014 12:59 pm
Forum: Help on using FreeCAD
Topic: Booleans losing their parent objects
Replies: 5
Views: 1921

Re: Booleans losing their parent objects

Thanks for looking Mark.

I'll update and see if it stops happening.
Chris